from os import environ
from warnings import warn
from tests import old_env

# Tests environment variables used within the projects domain are
# set in the correct environment

VARS = ['ENVIRON', 'APPSECRET', 'FILESTORE']

ENV_STATES = ['test', 'prod']


def test_env_vars():
    """ Test that required environment variables are set
        ahead of runtime
    """
    for var in VARS:
        env = environ.get(var)

        # Check to see what variable we are comparing
        if env is None:
            warn(f"Variable {var} is not set!")


def test_environment_var_state():
    """ Tests that the 'ENVIRON' Environment variable
        is in a correct state
    """
    var = old_env
    assert var is not None
    assert (var in ENV_STATES)
